/***********************************************************************/
/*                                                                     */
/*                               Pio (C)                               */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2011-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Bruno Verlyck <Bruno.Verlyck@inria.fr>                             */
/*                                                                     */
/***********************************************************************/

#define DO_DEBUG			/* XXX pendant le dveloppement */

bool pio_debug_mode;

#ifdef DO_DEBUG
void pio_debug (const char *fun_name, const char *msg);
#else
#define pio_debug(fun_name, msg)
#endif

void pio_fatal_error (const char *msg) __attribute__ ((noreturn));
